Subject: Re: [PWE3] WG Last Call for draft-ietf-pwe3-packet-pw-01.txt

From: Stewart Bryant <[email-masked]>
Date: Tue, 20 Dec 2011 20:07:16 +0000

On 06/09/2011 20:16, Greg Mirsky wrote:
> Dear Authors and All,
> I'd like to propose to make use of PW Control word in packet PW
> mandatory, not optional. I believe that given presence of Ethernet
> header in packet PW encapsulation (Section 5) PW CW does not present
> significant overhead but makes use of VCCV ACH Type 1 consistent for
> all MPLS networks.
>
> Regards,
> Greg

Hi Greg

I have two concerns with making this change:

Firstly the issue of whether or not the control word should
continue to be used in PWs is not yet resolved in the PWE3 WG.

Second, the draft is a BCP based on the use of Ethernet PW as it
exists today, and as such should use the RFC4448 as it exists
today.

The right way forward is to resolve the CW issue and then, if
we elect to deprecate CWs, to write an RFC doing that and
updating RFCs as required.

I do not think that this draft should either be used as a vehicle
to resolve the CW issue, nor be held hostage to the issue.

Stewart
(Writing as duty editor of this draft)